#pragma once
#include "afxwin.h"


// demoInitDlg 对话框

class demoInitDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoInitDlg)

public:
	demoInitDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~demoInitDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_INIT_DIALOG };
#endif

    virtual BOOL OnInitDialog();
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
    CEdit m_editAppId;
    CComboBox m_comboSiteType;
    CComboBox m_comboLogLevel;
    afx_msg void OnBnClickedButtonOk();
    int Init();
    int m_radioAuthType;
    afx_msg void OnBnClickedRadioAuthTypeAccount();
    afx_msg void OnBnClickedRadioAuthTypeAppid();
    CEdit m_editExeName;
    CEdit m_logKeepDays;
    CEdit m_preferredCamera;
    CEdit m_appVersion;
protected:
    BOOL m_isMultiAppLoginSupported;
};
